Index: sansview/perspectives/fitting/fitproblem.py
===================================================================
--- sansview/perspectives/fitting/fitproblem.py	(revision bb18ef1c74ed79eb0630f198735ad2b14e7913ab)
+++ sansview/perspectives/fitting/fitproblem.py	(revision 2140e68d04b8406b34c5c4a54bdf7cc8706f5f70)
@@ -1,3 +1,2 @@
-from sans.fit.AbstractFitEngine import Model
 
 class FitProblem:
@@ -11,13 +10,10 @@
         
         """
-            @ self.data :is the data selected to perform the fit
-            @ self.theory_name: the name of the theory created with self.model
-            @ self.model_list:  is a list containing a model as first element 
-            and its name assign example [lineModel, M0]
+           contains information about data and model to fit
         """
         ## data used for fitting
         self.fit_data=None
-        ## list containing couple of model and its name
-        self.model_list=[]
+        ## the current model
+        self.model = None
         ## if 1 this fit problem will be selected to fit , if 0 
         ## it will not be selected for fit
@@ -30,4 +26,7 @@
         ## axis unit info and so on see plottables definition
         self.plotted_data=None
+        ## fitting range
+        self.qmin = None
+        self.qmax = None
         
         
@@ -52,5 +51,5 @@
         return self.name_per_page
     
-    def set_model(self,model,name):
+    def set_model(self,model):
         """ 
              associates each model with its new created name
@@ -58,10 +57,11 @@
              @param name: name created for model
         """
+        self.model= model
         
-        if len(self.model_list)>0 and name==None:
-            self.model_list=[model,self.model_list[1]]
-        else:
-            self.model_list=[model,name]
-
+        
+    def get_model(self):
+        """ @return: saved model """
+        return self.model
+  
   
     def add_plotted_data(self,data):
@@ -72,5 +72,10 @@
         self.plotted_data = data
         
-        
+
+    def get_plotted_data(self):
+        """ @return:  list of data dList"""
+        return self.plotted_data
+    
+    
     def add_fit_data(self,data):
         """ 
@@ -80,31 +85,10 @@
         self.fit_data = data
             
-    def get_model(self):
-        """ @return: saved model """
-        return self.model_list
-     
-    def get_plotted_data(self):
-        """ @return:  list of data dList"""
-        return self.plotted_data
-    
-    
+   
     def get_fit_data(self):
         return self.fit_data
     
-    
-    def get_theory(self):
-        """ @return the name of theory for plotting purpose"""
-        return self.theory_name
-    
-    
-    def set_theory(self,name):
-        """
-            Set theory name
-            @param name: name of the theory
-        """
-        self.theory_name = name
-
         
-    def set_model_param(self,name,value):
+    def set_model_param(self,name,value=None):
         """ 
             Store the name and value of a parameter of this fitproblem's model
@@ -122,12 +106,4 @@
         
         
-    def reset_model(self,model):
-        """ 
-            reset a model when parameter has changed
-            @param value: new model
-        """
-        self.model_list[0]=model
-        
-        
     def schedule_tofit(self, schedule=0):
         """
@@ -136,8 +112,23 @@
         self.schedule=schedule
         
+        
     def get_scheduled(self):
         """ return true or false if a problem as being schedule for fitting"""
         return self.schedule
     
+
+    def set_range(self, qmin=None, qmax=None):
+        """
+            set fitting range 
+        """
+        self.qmin = qmin
+        self.qmax = qmax
+        
+        
+    def get_range(self):
+        """
+            @return fitting range:
+        """
+        return self.qmin, self.qmax
     
     def clear_model_param(self):
@@ -147,3 +138,5 @@
         self.list_param=[]
         
+    
+    
         
